I2D_PKCS7_BIO_STREAM(3)

NAME
i2d_PKCS7_bio_stream - output PKCS7 structure in BER format

SYNOPSIS
libcrypto
#include <openssl/pkcs7.h>
int
i2d_PKCS7_bio_stream(BIO *out, PKCS7 *p7, BIO *data, int flags);

DESCRIPTION
i2d_PKCS7_bio_stream() outputs a PKCS7 structure in BER format. It is otherwise identical to the function SMIME_write_PKCS7(3). This function is effectively a version of i2d_PKCS7_bio(3) supporting streaming.

RETURN VALUES
i2d_PKCS7_bio_stream() returns 1 for success or 0 for failure.

SEE ALSO
BIO_new(3), ERR_get_error(3), PEM_write_bio_PKCS7_stream(3), PEM_write_PKCS7(3), PKCS7_final(3), PKCS7_new(3), SMIME_write_PKCS7(3)

HISTORY
i2d_PKCS7_bio_stream() first appeared in OpenSSL 1.0.0 and has been available since OpenBSD 4.9.

BUGS
The prefix "i2d" is arguably wrong because the function outputs BER format.